For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet orders filtered by search parameters
          • GETGet order by {order-id}
          • POSTConfirm receipt of order and update merchant order number
          • POSTRun an operation on an order
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Orders

Run an operation on an order

POST
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/run-operation
POST
/api/v2/orders/:order-id/run-operation
$curl -X POST "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/run-operation?op=acknowledge" \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{}'
1{
2 "operation": "acknowledge",
3 "response": {}
4}
Run the operation specified in the request on an order. The contents of the request and response will vary depending on the operation.
Was this page helpful?
Previous

Confirm receipt of order and update merchant order number

Next

Get fulfillment reqeusts filtered by search parameters

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

opstringRequired
Name of the operation to run

Request

The contents of the request and response will vary depending on the operation.

Response

Operation Result
operationstring
responseobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error